ru.bitel.bgbilling.modules.runtel.server.bean

## Class RunTelContract

- java.lang.Object
- - ru.bitel.bgbilling.modules.runtel.server.bean.RunTelContract

-     public class RunTelContract
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RunTelContract()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContractComment()`
    `int` | `getContractId()`
    `java.lang.String` | `getContractTitle()`
    `java.lang.String` | `getEmail()`
    `Period` | `getPeriod()`
    `int` | `getStatus()`
    `RunTelContractTariff` | `getTariff()`
    `void` | `setContractComment(java.lang.String contractComment)`
    `void` | `setContractId(int contractId)`
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setEmail(java.lang.String email)`
    `void` | `setPeriod(Period period)`
    `void` | `setStatus(int status)`
    `void` | `setTariff(RunTelContractTariff tariff)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RunTelContract

          public RunTelContract()

  - ### Method Detail

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getContractComment

          public java.lang.String getContractComment()

    - #### setContractComment

          public void setContractComment(java.lang.String contractComment)

    - #### getPeriod

          public Period getPeriod()

    - #### setPeriod

          public void setPeriod(Period period)

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)

    - #### getEmail

          public java.lang.String getEmail()

    - #### setEmail

          public void setEmail(java.lang.String email)

    - #### getTariff

          public RunTelContractTariff getTariff()

    - #### setTariff

          public void setTariff(RunTelContractTariff tariff)